﻿using System;
using Eco.Gameplay.Items;
using Eco.Shared.Localization;
using Eco.Shared.Serialization;

namespace Eco.Mods.TechTree
{
	[Serialized]
	[Weight(10)]
	[Currency]
	[MaxStackSize(500)]
	public class CopperFragmentsItem : Item
	{
		public override LocString DisplayName
		{
			get
			{
				return Localizer.DoStr("Copper Fragment");
			}
		}

		public override LocString DisplayNamePlural
		{
			get
			{
				return Localizer.DoStr("Copper Fragments");
			}
		}

		public override LocString DisplayDescription
		{
			get
			{
				return Localizer.DoStr("Shards Of Copper Produced From Tailings.");
			}
		}
	}
}
