﻿using System;
using Eco.Gameplay.Items;
using Eco.Shared.Localization;
using Eco.Shared.Serialization;

namespace Eco.Mods.TechTree
{
	// Token: 0x02000006 RID: 6
	[Serialized]
	[Weight(10)]
	[Currency]
	[MaxStackSize(500)]
	public class IronFragmentsItem : Item
	{
		// Token: 0x17000004 RID: 4
		// (get) Token: 0x06000008 RID: 8 RVA: 0x0000233C File Offset: 0x0000053C
		public override LocString DisplayName
		{
			get
			{
				return Localizer.DoStr("Iron Fragment");
			}
		}

		// Token: 0x17000005 RID: 5
		// (get) Token: 0x06000009 RID: 9 RVA: 0x00002358 File Offset: 0x00000558
		public override LocString DisplayNamePlural
		{
			get
			{
				return Localizer.DoStr("Iron Fragments");
			}
		}

		// Token: 0x17000006 RID: 6
		// (get) Token: 0x0600000A RID: 10 RVA: 0x00002374 File Offset: 0x00000574
		public override LocString DisplayDescription
		{
			get
			{
				return Localizer.DoStr("Shards Of Iron Produced From Tailings.");
			}
		}
	}
}
